Bug 239650 - java/eclipse: Update to 4.12
Summary: java/eclipse: Update to 4.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-08-04 22:35 UTC by Jonathan Chen
Modified: 2019-08-20 11:27 UTC (History)
3 users (show)

See Also:


Attachments
4.12 update (38.90 KB, patch)
2019-08-04 22:35 UTC, Jonathan Chen
no flags Details | Diff
4.12 update (39.33 KB, patch)
2019-08-05 08:51 UTC, Jonathan Chen
meta: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2019-08-04 22:35:27 UTC
Created attachment 206284 [details]
4.12 update

Update to 4.12. A bit late, but we got there.
Comment 1 Jonathan Chen 2019-08-05 08:51:22 UTC
Created attachment 206289 [details]
4.12 update

Updated patch with fallback MASTER_SITES, as git.eclipse.org is slow/unreliable.
Comment 2 Kurt Jaeger freebsd_committer 2019-08-20 05:54:06 UTC
testbuilds@work
Comment 3 commit-hook freebsd_committer 2019-08-20 11:27:29 UTC
A commit references this bug:

Author: pi
Date: Tue Aug 20 11:27:22 UTC 2019
New revision: 509422
URL: https://svnweb.freebsd.org/changeset/ports/509422

Log:
  java/eclipse: upgrade 4.11 -> 4.12

  - Fallback MASTER_SITES, as git.eclipse.org is slow/unreliable.

  PR:		239650
  Submitted by:	Jonathan Chen <jonc@chen.org.nz> (maintainer)
  Relnotes:	https://www.eclipse.org/eclipseide/2019-06/noteworthy/

Changes:
  head/java/eclipse/Makefile
  head/java/eclipse/distinfo
  head/java/eclipse/files/patch-eclipse-platform-parent
  head/java/eclipse/files/patch-eclipse.platform.releng.prereqs.sdk
  head/java/eclipse/files/patch-eclipse.platform.releng.tychoeclipsebuilder
  head/java/eclipse/files/patch-eclipse.platform.runtime
  head/java/eclipse/files/patch-eclipse.platform.swt
  head/java/eclipse/files/patch-eclipse.platform.swt.binaries
  head/java/eclipse/files/patch-eclipse.platform.ui
  head/java/eclipse/files/patch-rt.equinox.framework
  head/java/eclipse/files/patch-rt.equinox.p2
  head/java/eclipse/pkg-descr
Comment 4 Kurt Jaeger freebsd_committer 2019-08-20 11:27:44 UTC
Committed, thanks! Please add a relnotes link 8-)